import sys, os
repo = os.path.dirname(__file__)
sys.path.insert(0, os.path.join(repo, 'veny', 'src'))
from quantum_fs import DedupFS
from module_utils import prepare_mountpoint

mp = os.path.join(repo,'test_mount')
prepare_mountpoint(mp)
fs = DedupFS(mp)
print('enable_fuse flag is', fs.enable_fuse)
fs.write('a.txt', b'hello world'*100, 0, None)
fs.mount()
print('Mount done, files in mountpoint:', os.listdir(mp))
